<template>
    <div class="call-to-action">
      <h1 :class="['call-to-action__title', `call-to-action__title--${designType}`]">
        <span :class="`call-to-action__item--${designType}`">Start</span> 
        your learning journey 
        <span :class="`call-to-action__item--${designType}`">now</span>
      </h1>
      <h3 :class="['call-to-action__subtitle', `call-to-action__subtitle--${designType}`]">
        Get a 
        <span v-if="designType === 'PlanetLearn'" style="font-weight: 800;">
          <span style="color: #FF8D24;">Planet</span>Learn
        </span>
        <b v-else style="font-weight: 800;" >
          <span style="color: #4EAAFF;">Smart</span>Study
        </b>
        plan to rock self-learning
      </h3>

      <smart-button
        class="call-to-action__btn"
        label="Get my plan"
        :design-type="designType"
        :disabled="modalVisible"
        @click="openModal"
      />
      <payment-modal 
      :design-type="designType" 
      :modal-visible="modalVisible" 
      @close-modal="closeModal"
      />
    </div>
</template>

<script>
import SmartButton from '../SmartButton.vue';
import PaymentModal from '../PaymentModal.vue';

export default {
    name: 'CallToAction',
    components: { 
      SmartButton, 
      PaymentModal 
     },
    props: {
      designType: {
            type: String,
            required: true
        },
    },
    data() {
      return {
        modalVisible: false, 
      };
    },
    methods: {
      closeModal() {
        this.modalVisible = false;
      },
      openModal() {
        this.modalVisible = true;
      },
    },
}
</script>

<style lang="scss">
.call-to-action {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-bottom: 32px;
  @media screen and (min-width: 768px) {
    max-width: 470px;
    }
 
  &__title {
    font-size: 32px;
    font-style: normal;
    font-weight: 800;
    max-width: 490px;
    margin-bottom: 16px;
    line-height: 120%;
    @media screen and (min-width: 768px) {
      font-size: 48px; 
    }
    &--SmartStudy{
    font-weight: 800;
    color: #FFF;
    @media screen and (min-width: 768px) {
      text-transform: uppercase;
    }
    }
  }
  &__item {
      &--SmartStudy{
        color: #4EAAFF;
      }
  }

  &__subtitle {
    color: #000;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 120%;
    max-width: 370px;
    margin-bottom: 32px;
    &--SmartStudy{
      color: #FFF;
    }
  }
  &__btn{
    @media screen and (min-width: 768px) {
      max-width: 273px;
    }
  }
}



</style>